# Class Module

java.lang.Object
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
org.gradle.plugins.ide.idea.model.Module

All Implemented Interfaces:
  `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`

@Deprecated public class Module extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
Deprecated.
Will be removed in Gradle 10.
Represents the customizable elements of an iml (via XML hooks everything of the iml is customizable).

Since:
  1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INHERITED`
  Deprecated.
  The inherited.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Module(org.gradle.internal.xml.XmlTransformer withXmlActions, PathFactory pathFactory)`
  Deprecated.
  Creates a new `Module`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `configure(Path contentPath, Set<Path> sourceFolders, Set<Path> testSourceFolders, Set<Path> resourceFolders, Set<Path> testResourceFolders, Set<Path> generatedSourceFolders, Set<Path> excludeFolders, Boolean inheritOutputDirs, Path outputDir, Path testOutputDir, Set<Dependency> dependencies, String jdkName, String languageLevel)`
  Deprecated.
  Configure.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `Path`
  `getContentPath()`
  Deprecated.
  The directory for the content root of the module.
  `protected String`
  `getDefaultResourceName()`
  Deprecated.
  `Set<Dependency>`
  `getDependencies()`
  Deprecated.
  The dependencies of this module.
  `Set<Path>`
  `getExcludeFolders()`
  Deprecated.
  The directories to be excluded.
  `Set<Path>`
  `getGeneratedSourceFolders()`
  Deprecated.
  The directories containing generated the production sources.
  `String`
  `getJdkName()`
  Deprecated.
  Returns the jdk name.
  `Path`
  `getOutputDir()`
  Deprecated.
  The output directory for production classes.
  `Set<Path>`
  `getResourceFolders()`
  Deprecated.
  The directories containing resources.
  `Set<Path>`
  `getSourceFolders()`
  Deprecated.
  The directories containing the production sources.
  `Path`
  `getTestOutputDir()`
  Deprecated.
  The output directory for test classes.
  `Set<Path>`
  `getTestResourceFolders()`
  Deprecated.
  The directories containing test resources.
  `Set<Path>`
  `getTestSourceFolders()`
  Deprecated.
  The directories containing the test sources.
  `int`
  `hashCode()`
  Deprecated.
  `protected boolean`
  `isDependencyOrderEntry(Object orderEntry)`
  Deprecated.
  Returns whether dependency order entry is set.
  `boolean`
  `isInheritOutputDirs()`
  Deprecated.
  If true, output directories for this module will be located below the output directory for the project; otherwise, `outputDir` and `testOutputDir` will take effect.
  `protected void`
  `load(Node xml)`
  Deprecated.
  `void`
  `setContentPath(Path contentPath)`
  Deprecated.
  Sets the content path.
  `void`
  `setDependencies(Set<Dependency> dependencies)`
  Deprecated.
  Sets the dependencies.
  `void`
  `setExcludeFolders(Set<Path> excludeFolders)`
  Deprecated.
  Sets the exclude folders.
  `void`
  `setGeneratedSourceFolders(Set<Path> generatedSourceFolders)`
  Deprecated.
  Sets the generated source folders.
  `void`
  `setInheritOutputDirs(boolean inheritOutputDirs)`
  Deprecated.
  Sets the inherit output dirs.
  `void`
  `setJdkName(String jdkName)`
  Deprecated.
  Sets the jdk name.
  `void`
  `setOutputDir(Path outputDir)`
  Deprecated.
  Sets the output dir.
  `void`
  `setResourceFolders(Set<Path> resourceFolders)`
  Deprecated.
  Sets the directories containing resources.
  `void`
  `setSourceFolders(Set<Path> sourceFolders)`
  Deprecated.
  Sets the source folders.
  `void`
  `setTestOutputDir(Path testOutputDir)`
  Deprecated.
  Sets the test output dir.
  `void`
  `setTestResourceFolders(Set<Path> testResourceFolders)`
  Deprecated.
  Sets the directories containing test resources.
  `void`
  `setTestSourceFolders(Set<Path> testSourceFolders)`
  Deprecated.
  Sets the test source folders.
  `protected void`
  `store(Node xml)`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction`

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

  `load, loadDefaults, store`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INHERITED

    public static final String INHERITED
    Deprecated.
    The inherited.
    Since:
      2.14
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Module

    public Module(org.gradle.internal.xml.XmlTransformer withXmlActions, PathFactory pathFactory)
    Deprecated.
    Creates a new `Module`.
    Since:
      1.0

- ## Method Details

  - ### getContentPath

    public Path getContentPath()
    Deprecated.
    The directory for the content root of the module. Defaults to the project directory. If null, the directory containing the output file will be used.
    Since:
      1.0

  - ### setContentPath

    public void setContentPath(Path contentPath)
    Deprecated.
    Sets the content path.
    Since:
      1.0

  - ### getSourceFolders

    public Set<Path> getSourceFolders()
    Deprecated.
    The directories containing the production sources. Must not be null.
    Since:
      1.0

  - ### setSourceFolders

    public void setSourceFolders(Set<Path> sourceFolders)
    Deprecated.
    Sets the source folders.
    Since:
      1.0

  - ### getTestSourceFolders

    public Set<Path> getTestSourceFolders()
    Deprecated.
    The directories containing the test sources. Must not be null.
    Since:
      1.0

  - ### setTestSourceFolders

    public void setTestSourceFolders(Set<Path> testSourceFolders)
    Deprecated.
    Sets the test source folders.
    Since:
      1.0

  - ### getResourceFolders

    public Set<Path> getResourceFolders()
    Deprecated.
    The directories containing resources. Must not be null.
    Since:
      4.7

  - ### setResourceFolders

    public void setResourceFolders(Set<Path> resourceFolders)
    Deprecated.
    Sets the directories containing resources.
    Since:
      4.7

  - ### getTestResourceFolders

    public Set<Path> getTestResourceFolders()
    Deprecated.
    The directories containing test resources. Must not be null.
    Since:
      4.7

  - ### setTestResourceFolders

    public void setTestResourceFolders(Set<Path> testResourceFolders)
    Deprecated.
    Sets the directories containing test resources.
    Since:
      4.7

  - ### getGeneratedSourceFolders

    public Set<Path> getGeneratedSourceFolders()
    Deprecated.
    The directories containing generated the production sources. Must not be null.
    Since:
      2.2

  - ### setGeneratedSourceFolders

    public void setGeneratedSourceFolders(Set<Path> generatedSourceFolders)
    Deprecated.
    Sets the generated source folders.
    Since:
      2.2

  - ### getExcludeFolders

    public Set<Path> getExcludeFolders()
    Deprecated.
    The directories to be excluded. Must not be null.
    Since:
      1.0

  - ### setExcludeFolders

    public void setExcludeFolders(Set<Path> excludeFolders)
    Deprecated.
    Sets the exclude folders.
    Since:
      1.0

  - ### isInheritOutputDirs

    public boolean isInheritOutputDirs()
    Deprecated.
    If true, output directories for this module will be located below the output directory for the project; otherwise, `outputDir` and `testOutputDir` will take effect.
    Since:
      1.0

  - ### setInheritOutputDirs

    public void setInheritOutputDirs(boolean inheritOutputDirs)
    Deprecated.
    Sets the inherit output dirs.
    Since:
      1.0

  - ### getOutputDir

    public Path getOutputDir()
    Deprecated.
    The output directory for production classes. If `null`, no entry will be created.
    Since:
      1.0

  - ### setOutputDir

    public void setOutputDir(Path outputDir)
    Deprecated.
    Sets the output dir.
    Since:
      1.0

  - ### getTestOutputDir

    public Path getTestOutputDir()
    Deprecated.
    The output directory for test classes. If `null`, no entry will be created.
    Since:
      1.0

  - ### setTestOutputDir

    public void setTestOutputDir(Path testOutputDir)
    Deprecated.
    Sets the test output dir.
    Since:
      1.0

  - ### getDependencies

    public Set<Dependency> getDependencies()
    Deprecated.
    The dependencies of this module. Must not be null.
    Since:
      1.0

  - ### setDependencies

    public void setDependencies(Set<Dependency> dependencies)
    Deprecated.
    Sets the dependencies.
    Since:
      1.0

  - ### getJdkName

    public String getJdkName()
    Deprecated.
    Returns the jdk name.
    Since:
      1.0

  - ### setJdkName

    public void setJdkName(String jdkName)
    Deprecated.
    Sets the jdk name.
    Since:
      1.0

  - ### getDefaultResourceName

    protected String getDefaultResourceName()
    Deprecated.
    Specified by:
      `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

  - ### configure

    protected Object configure(Path contentPath, Set<Path> sourceFolders, Set<Path> testSourceFolders, Set<Path> resourceFolders, Set<Path> testResourceFolders, Set<Path> generatedSourceFolders, Set<Path> excludeFolders, Boolean inheritOutputDirs, Path outputDir, Path testOutputDir, Set<Dependency> dependencies, String jdkName, String languageLevel)
    Deprecated.
    Configure.
    Since:
      4.7

  - ### load

    protected void load(Node xml)
    Deprecated.
    Overrides:
      `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### store

    protected void store(Node xml)
    Deprecated.
    Overrides:
      `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### isDependencyOrderEntry

    protected boolean isDependencyOrderEntry(Object orderEntry)
    Deprecated.
    Returns whether dependency order entry is set.
    Since:
      1.0

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`